import { GroupChannelCreate, OpenChannelCreate } from "../api/structures/Channel";
declare class Channel {
    protected _apiKey: string;
    protected _host: string;
    protected _version: string;
    constructor(api_key: string, version?: string, host?: string);
    /**
     * Create a new Room
     * @param params OpenChannelCreate
     */
    openChannel(params: OpenChannelCreate): Promise<unknown>;
    groupChannel(params: GroupChannelCreate): Promise<unknown>;
}
export { Channel };
